<?php 

// Section sub title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[counter_bg_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[counter_bg_color]', array(
	'label'             => esc_html__( 'Section Bg Color', 'next-travel-pro' ),
	'description'       => esc_html__( 'Only display when Background image is not set.', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_counter_section',
	'active_callback' 	=> 'next_travel_pro_is_counter_section_enable',
	) ) );


// Section sub title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[counter_subtitle_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[counter_subtitle_color]', array(
	'label'             => esc_html__( 'Section Sub Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_counter_section',
	'active_callback' 	=> 'next_travel_pro_is_counter_section_enable',
	) ) );

	// Section sub title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[counter_title_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[counter_title_color]', array(
	'label'             => esc_html__( 'Section Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_counter_section',
	'active_callback' 	=> 'next_travel_pro_is_counter_section_enable',
	) ) );

// Section sub title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[counter_value_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[counter_value_color]', array(
	'label'             => esc_html__( 'Counter Value Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_counter_section',
	'active_callback' 	=> 'next_travel_pro_is_counter_section_enable',
	) ) );

// Section title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[counter_label_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[counter_label_color]', array(
	'label'             => esc_html__( 'Counter Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_counter_section',
	'active_callback' 	=> 'next_travel_pro_is_counter_section_enable',
	) ) );
