<?php

// Section sub title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[recent_news_bg_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[recent_news_bg_color]', array(
	'label'             => esc_html__( 'Background Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_recent_news_section',
	'active_callback' 	=> 'next_travel_pro_is_recent_news_section_enable',
	) ) );

// Section sub title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[recent_news_subtitle_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[recent_news_subtitle_color]', array(
	'label'             => esc_html__( 'Section Sub Title', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_recent_news_section',
	'active_callback' 	=> 'next_travel_pro_is_recent_news_section_enable',
	) ) );


// Recent News title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[recent_news_title_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[recent_news_title_color]', array(
	'label'             => esc_html__( 'Section Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_recent_news_section',
	'active_callback' 	=> 'next_travel_pro_is_recent_news_section_enable',
	) ) );

// Recent News title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[recent_news_post_title_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[recent_news_post_title_color]', array(
	'label'             => esc_html__( 'Post Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_recent_news_section',
	'active_callback' 	=> 'next_travel_pro_is_recent_news_section_enable',
	) ) );

// Recent News title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[recent_news_post_title_hover_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[recent_news_post_title_hover_color]', array(
	'label'             => esc_html__( 'Post Title Hover Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_recent_news_section',
	'active_callback' 	=> 'next_travel_pro_is_recent_news_section_enable',
	) ) );

// Recent News description color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[recent_news_description_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[recent_news_description_color]', array(
	'label'             => esc_html__( 'Post Description Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_recent_news_section',
	'active_callback' 	=> 'next_travel_pro_is_recent_news_section_enable',
	) ) );

// Recent News title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[recent_news_category_date_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[recent_news_category_date_color]', array(
	'label'             => esc_html__( 'Category / Date color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_recent_news_section',
	'active_callback' 	=> 'next_travel_pro_is_recent_news_section_enable',
	) ) );

// Recent News title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[recent_news_category_date_hover_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[recent_news_category_date_hover_color]', array(
	'label'             => esc_html__( 'Category / Date hover color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_recent_news_section',
	'active_callback' 	=> 'next_travel_pro_is_recent_news_section_enable',
	) ) );

// Header title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[recent_news_button_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[recent_news_button_color]', array(
	'label'             => esc_html__( 'Button Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_recent_news_section',
	'active_callback' 	=> 'next_travel_pro_is_recent_news_section_enable',
	) ) );

// Header title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[recent_news_button_hover_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[recent_news_button_hover_color]', array(
	'label'             => esc_html__( 'Button Hover Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_recent_news_section',
	'active_callback' 	=> 'next_travel_pro_is_recent_news_section_enable',
	) ) );

// Button title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[recent_news_btn_text_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[recent_news_btn_text_color]', array(
	'label'             => esc_html__( 'Button Text Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_recent_news_section',
	'active_callback' 	=> 'next_travel_pro_is_recent_news_section_enable',
	) ) );

