<?php 
/*slider color options*/

// Header title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[title_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[title_color]', array(
	'label'             => esc_html__( 'Title Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_slider_section',
	'active_callback' 	=> 'next_travel_pro_is_slider_section_enable',
	) ) );

// Header title hover color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[title_hover_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[title_hover_color]', array(
	'label'             => esc_html__( 'Title Hover Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_slider_section',
	'active_callback' 	=> 'next_travel_pro_is_slider_section_enable',
	) ) );

// excerpt color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[excerpt_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[excerpt_color]', array(
	'label'             => esc_html__( 'Excerpt Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_slider_section',
	'active_callback' 	=> 'next_travel_pro_is_slider_section_enable',
	) ) );

// Header title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[button_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[button_color]', array(
	'label'             => esc_html__( 'Button Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_slider_section',
	'active_callback' 	=> 'next_travel_pro_is_slider_section_enable',
	) ) );


// Header title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[button_hover_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[button_hover_color]', array(
	'label'             => esc_html__( 'Button Hover Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_slider_section',
	'active_callback' 	=> 'next_travel_pro_is_slider_section_enable',
	) ) );

// Button title color setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[btn_title_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'refresh'
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'next_travel_pro_theme_options[btn_title_color]', array(
	'label'             => esc_html__( 'Button Text Color', 'next-travel-pro' ),
	'section'           => 'next_travel_pro_slider_section',
	'active_callback' 	=> 'next_travel_pro_is_slider_section_enable',
	) ) );
